Gatana logoGatana Docs
Routesv2Credentials

/credentials

List the credentials the caller can read, optionally filtered by server. Secret values are not included

GET
/credentials
AuthorizationBearer <token>

In: header

Query Parameters

serverId?string

Filter to credentials of a single server, by server ID

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v2/credentials"
{
  "credentials": [
    {
      "id": "string",
      "tenantId": "string",
      "scope": "server",
      "userId": "string",
      "profileId": "string",
      "lastUsedAt": "string",
      "authorizedAt": "string",
      "type": "oauth",
      "createdAt": "string",
      "updatedAt": "string",
      "serverSlug": "string",
      "userEmail": "string",
      "userName": "string",
      "profileName": "string"
    }
  ]
}